const postCache = require('./_postData');


module.exports = async () => {
	const cache = await postCache();
	
	return Object.values(cache.tags).map(tag => {
        const posts = Object.values(cache.posts).filter(post => post.tags.includes(tag.id));
        
        return {
            ...tag,
            posts,
        }
    });
};
